MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000439XdebugUsage problems (Wrong Results)public2009-05-10 15:242009-07-04 16:32
Reporterzergin 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000439: Xdebug crash in xdebug_header_handler
DescriptionXdebug crashes PHP (apache handling process) just on load. Works fine in CLI. .

Xdebug version 2.1 from CVS as 2009.05.09 22:00 CEST with PHP 5.3 snap 2009.05.09 18:30. backtrace follows.

This has beed happening for some time now. 2.0.4 used to work fine but it also crasesh now.
Additional Information(gdb) bt
#0 0x00007fffecaed4a7 in xdebug_header_handler (h=0x7fffffffdae0, s=0x1, tsrm_ls=0x7d1dc0) at /usr/src/debug/xdebug-2.1/xdebug.c:2579
#1 0x00007ffff33a4134 in sapi_header_op (op=SAPI_HEADER_ADD, arg=<value optimized out>, tsrm_ls=0x7d1c20) at /usr/src/debug/php5.3-200905091830/main/SAPI.c:758
0000002 0x00007ffff33a478b in sapi_add_header_ex (header_line=0xacc200 "Content-type: text/html", header_line_len=<value optimized out>, duplicate=<value optimized out>, replace=176 '\260', tsrm_ls=0x6c6d74682f7478)
    at /usr/src/debug/php5.3-200905091830/main/SAPI.c:518
0000003 0x00007ffff33a52ba in sapi_send_headers (tsrm_ls=0x7d1c20) at /usr/src/debug/php5.3-200905091830/main/SAPI.c:828
0000004 0x00007ffff3339b09 in php_header (tsrm_ls=0x7d4118) at /usr/src/debug/php5.3-200905091830/ext/standard/head.c:69
0000005 0x00007ffff33adf41 in php_ub_body_write (str=0xac88e8 "string(1) \"b\"\nfloat(0.00025796890258789)\n", str_length=41, tsrm_ls=0x7d1c20) at /usr/src/debug/php5.3-200905091830/main/output.c:721
0000006 0x00007ffff33ae631 in php_end_ob_buffer (send_buffer=1 '\1', just_flush=0 '\0', tsrm_ls=0x7d1c20) at /usr/src/debug/php5.3-200905091830/main/output.c:300
0000007 0x00007ffff33aef7d in php_end_ob_buffers (send_buffer=<value optimized out>, tsrm_ls=0x7d1c20) at /usr/src/debug/php5.3-200905091830/main/output.c:339
0000008 0x00007ffff3399057 in php_request_shutdown (dummy=<value optimized out>) at /usr/src/debug/php5.3-200905091830/main/main.c:1540
0000009 0x00007ffff379b0b7 in php_apache_request_dtor (tsrm_ls=<value optimized out>, r=<value optimized out>) at /usr/src/debug/php5.3-200905091830/sapi/apache2handler/sapi_apache2.c:488
0000010 php_handler (tsrm_ls=<value optimized out>, r=<value optimized out>) at /usr/src/debug/php5.3-200905091830/sapi/apache2handler/sapi_apache2.c:660
0000011 0x0000000000437415 in ap_run_handler (r=0xafd898) at /usr/src/debug/httpd-2.2.11/server/config.c:158
0000012 0x000000000043a99f in ap_invoke_handler (r=0xafd898) at /usr/src/debug/httpd-2.2.11/server/config.c:372
0000013 0x0000000000445a0e in ap_process_request (r=0xafd898) at /usr/src/debug/httpd-2.2.11/modules/http/http_request.c:282
0000014 0x0000000000442a08 in ap_process_http_connection (c=0xaf7578) at /usr/src/debug/httpd-2.2.11/modules/http/http_core.c:190
0000015 0x000000000043e7fd in ap_run_process_connection (c=0xaf7578) at /usr/src/debug/httpd-2.2.11/server/connection.c:43
0000016 0x000000000044a030 in child_main (child_num_arg=<value optimized out>) at /usr/src/debug/httpd-2.2.11/server/mpm/prefork/prefork.c:662
0000017 0x000000000044a2b8 in make_child (s=0x6709f0, slot=0) at /usr/src/debug/httpd-2.2.11/server/mpm/prefork/prefork.c:702
0000018 0x000000000044a8cf in ap_mpm_run (_pconf=<value optimized out>, plog=<value optimized out>, s=<value optimized out>) at /usr/src/debug/httpd-2.2.11/server/mpm/prefork/prefork.c:978
0000019 0x00000000004240f5 in main (argc=2, argv=0x7fffffffe698) at /usr/src/debug/httpd-2.2.11/server/main.c:740
TagsNo tags attached.
Operating SystemLinux
PHP Version5.3-dev
Attached Files

- Relationships

-  Notes
(0000973)
derick (administrator)
2009-07-04 16:32

Fixed in CVS. Thanks!

- Issue History
Date Modified Username Field Change
2009-05-10 15:24 zergin New Issue
2009-05-10 15:24 zergin Operating System => Linux
2009-05-10 15:24 zergin PHP Version => 5.3-dev
2009-05-10 15:24 zergin Xdebug Version => 2.1.0-dev
2009-07-04 16:32 derick Note Added: 0000973
2009-07-04 16:32 derick Status new => closed
2009-07-04 16:32 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker